# GWTC-1 Residuals Test Frame files

  * The files in this directory contain the residual frames used in residuals test for the O1-O2 testing GR paper.
  * These are standard .gwf frame files with the following configuration options

```
[datafind]
frtype-list={'H1':'H1_HOFT_RES','L1':'L1_HOFT_RES','V1':'V1_HOFT_RES'}
channel-list={'H1':'H1:residual','L1':'L1:residual','V1':'V1:residual'}
```
where `channel-list` is the list of channel names and `frtype-list` is the list of frametypes. More information can found at the [Gravitational Wave Open Science Center](https://www.gw-openscience.org/lsc_software/)
  * Out of the 10 events, 4 (GW170729, GW170809, GW170814, GW170818) were detected in Hanford, Livingston and Virgo `(H1, L1, V1)` while the rest were detected in Hanford and Livingston only `(H1, L1)`. The residual frame files are created accordingly.

  * The residual frames are constructed by subtracting the maximum likelihood IMRPhenomPv2 waveform from the 16 s of data surrounding the event


# Understanding frame file names:
  * The name of the frame file contains some information about the contents. The file naming structure is
```
<ifo>_<frame_type>_<gps-start-time>_<duration>.gwf
```
  * For example, for the event `GW150914`, the Hanford residual frame file is
```
H-H1_HOFT_RES-1126259454-16.gwf
```
Here, `H` stands for Hanford, `H1_HOFT_RES` stands for the frame type, `1126259454` is the start time of the frame, and `16` is the duration of the data.


